import React from 'react';
import { Link, useNavigate } from 'react-router-dom';
import './RegisterPage.css';

function RegisterPage() {
  const navigate = useNavigate();

  const handleSubmit = (event) => {
    event.preventDefault(); 

    localStorage.setItem('token', 'dummy_token'); 
    navigate('/');
  };

  return (
    <div className="register-page">
      <h3>Регистрация</h3>
      <form onSubmit={handleSubmit}> 
        <input type="text" placeholder="Имя" /><br />
        <input type="email" placeholder="Электронная почта" /><br />
        <input type="text" placeholder="Логин" /><br />
        <input type="password" placeholder="Пароль" /><br />
        <input type="password" placeholder="Подтвердите пароль" /><br />
        <label><input type="checkbox" /> Согласен с условиями</label><br />
        <button type="submit">Зарегистрироваться</button>
      </form>
      <p>Уже есть аккаунт? <Link to="/login">Войти</Link></p>
    </div>
  );
}

export default RegisterPage;